> For the complete documentation index, see [llms.txt](https://integrations.impact.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/action-inquiries/action-inquiries.md).

# Action Inquiries

## List all action inquiries

> Returns a list of the action inquiries made for your campaign, ordered by creation date (newest first).

```json
{"openapi":"3.1.0","info":{"title":"Brand Action Inquiries API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/ActionInquiries":{"get":{"operationId":"listActionInquiries","tags":["Action Inquiries"],"summary":"List all action inquiries","description":"Returns a list of the action inquiries made for your campaign, ordered by creation date (newest first).","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"CampaignId","in":"query","required":true,"schema":{"type":"string"}},{"name":"StartDate","in":"query","description":"Filter inquiries created on or after this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"EndDate","in":"query","description":"Filter inquiries created on or before this date (ISO 8601).","schema":{"type":"string","format":"date-time"}},{"name":"TransactionDateStart","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"TransactionDateEnd","in":"query","schema":{"type":"string","format":"date-time"}},{"name":"MediaPartnerId","in":"query","schema":{"type":"string"}},{"name":"OrderId","in":"query","schema":{"type":"string"}},{"name":"ResolutionStatus","in":"query","schema":{"type":"string","enum":["UNRESOLVED","VALID","DECLINED","INCOMPLETE"]}}],"responses":{"200":{"description":"An array of action inquiry objects.","content":{"application/json":{"schema":{"type":"object","properties":{"@page":{"type":"string"},"ActionInquiries":{"type":"array","items":{"$ref":"#/components/schemas/ActionInquiry"}}}}}}}}}}},"components":{"schemas":{"ActionInquiry":{"type":"object","properties":{"Id":{"type":"string"},"CampaignId":{"type":"string"},"CampaignName":{"type":"string"},"MediaPartnerId":{"type":"string","description":"Only returns action inquiries for the partner specified by this ID."},"MediaPartnerName":{"type":"string"},"OrderId":{"type":"string","description":"Only returns action inquiries associated with your unique order ID value for a conversion."},"TransactionDate":{"type":"string","format":"date-time"},"TransactionAmount":{"type":"string"},"InquiryType":{"type":"string","enum":["UNTRACKED","INCORRECT","DECLINED"]},"ExpectedPayout":{"type":"string"},"ResolutionDeadlineDate":{"type":"string","format":"date-time"},"ResolutionStatus":{"type":"string","enum":["UNRESOLVED","VALID","DECLINED","INCOMPLETE"],"description":"Only returns action inquiries that match the specified resolution status."},"RejectReason":{"type":"string"},"FinalPayout":{"type":"string"},"ResolutionDate":{"type":"string","format":"date-time"},"CreationDate":{"type":"string","format":"date-time"},"ActionId":{"type":"string"},"ActionUri":{"type":"string"},"AutoApprovalDate":{"type":"string","format":"date-time"},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/Comment"}},"Uri":{"type":"string"}}},"Comment":{"type":"object","properties":{"User":{"type":"string"},"Comment":{"type":"string"},"Date":{"type":"string","format":"date-time"}}}}}}
```

## Retrieve an action inquiry

> Retrieves the details of an existing action inquiry using its unique ID.

```json
{"openapi":"3.1.0","info":{"title":"Brand Action Inquiries API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/ActionInquiries/{Id}":{"get":{"operationId":"getActionInquiry","tags":["Action Inquiries"],"summary":"Retrieve an action inquiry","description":"Retrieves the details of an existing action inquiry using its unique ID.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"Id","in":"path","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Returns an action inquiry object.","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ActionInquiry"}}}}}}}},"components":{"schemas":{"ActionInquiry":{"type":"object","properties":{"Id":{"type":"string"},"CampaignId":{"type":"string"},"CampaignName":{"type":"string"},"MediaPartnerId":{"type":"string","description":"Only returns action inquiries for the partner specified by this ID."},"MediaPartnerName":{"type":"string"},"OrderId":{"type":"string","description":"Only returns action inquiries associated with your unique order ID value for a conversion."},"TransactionDate":{"type":"string","format":"date-time"},"TransactionAmount":{"type":"string"},"InquiryType":{"type":"string","enum":["UNTRACKED","INCORRECT","DECLINED"]},"ExpectedPayout":{"type":"string"},"ResolutionDeadlineDate":{"type":"string","format":"date-time"},"ResolutionStatus":{"type":"string","enum":["UNRESOLVED","VALID","DECLINED","INCOMPLETE"],"description":"Only returns action inquiries that match the specified resolution status."},"RejectReason":{"type":"string"},"FinalPayout":{"type":"string"},"ResolutionDate":{"type":"string","format":"date-time"},"CreationDate":{"type":"string","format":"date-time"},"ActionId":{"type":"string"},"ActionUri":{"type":"string"},"AutoApprovalDate":{"type":"string","format":"date-time"},"Comments":{"type":"array","items":{"$ref":"#/components/schemas/Comment"}},"Uri":{"type":"string"}}},"Comment":{"type":"object","properties":{"User":{"type":"string"},"Comment":{"type":"string"},"Date":{"type":"string","format":"date-time"}}}}}}
```

## Update an action inquiry

> Updates the action inquiry with a resolution status (VALID, DECLINED, or INCOMPLETE) and optional transaction details.

```json
{"openapi":"3.1.0","info":{"title":"Brand Action Inquiries API","version":"v11"},"servers":[{"url":"https://api.impact.com"}],"paths":{"/Advertisers/{AccountSID}/ActionInquiries/{Id}":{"put":{"operationId":"updateActionInquiry","tags":["Action Inquiries"],"summary":"Update an action inquiry","description":"Updates the action inquiry with a resolution status (VALID, DECLINED, or INCOMPLETE) and optional transaction details.","parameters":[{"name":"AccountSID","in":"path","required":true,"schema":{"type":"string"}},{"name":"Id","in":"path","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","required":["ResolutionStatus"],"properties":{"ResolutionStatus":{"type":"string","enum":["VALID","DECLINED","INCOMPLETE"]},"RejectReason":{"type":"string","description":"Required if resolution status is DECLINED.","enum":["This transaction has been tracked successfully","Another marketing channel was credited with the sale","Another marketing channel was credited with the sale, due to a voucher/discount code used","Did not meet terms and conditions set by merchant","Transaction not completed - Order cancelled, changed, or returned","Transaction cannot be traced","Transaction not fully completed online","Enquiry does not provide complete information required for evaluation","Other"]},"ActionTrackerId":{"type":"string","description":"Required if resolution status is VALID."},"TransactionAmount":{"type":"number"},"TransactionDate":{"type":"string","format":"date-time"},"PromoCode":{"type":"string"},"CustomerId":{"type":"string"},"ResolutionNotes":{"type":"string"},"FinalPayout":{"type":"number"},"ItemSku[i]":{"type":"string"},"ItemCategory[i]":{"type":"string"},"ItemName[i]":{"type":"string","description":"For a VALID action inquiry, specifies the name of the item. This information can also be automatically appended through uploading a product catalog. impact.com highly recommends submitting this parameter when approving action inquiries to maintain accurate records & reporting."},"ItemSubCategory[i]":{"type":"string","description":"The sub-category for the item."},"ItemMPN[i]":{"type":"string","description":"Manufacturer Part Number for the item; primarily used for retail sales."},"ItemTotalRebate[i]":{"type":"number","format":"decimal","description":"Discount applied to this line item (not just for each product of this type)."},"ItemQty[i]":{"type":"string"},"ItemSubtotal[i]":{"type":"string"}}}}}},"responses":{"200":{"description":"Success response.","content":{"application/json":{"schema":{"type":"object","properties":{"Status":{"type":"string"},"Uri":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://integrations.impact.com/brand-api-reference/brand-api-reference-v11/reference/action-inquiries/action-inquiries.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
